Package it.ernytech.tdlib

## Class TdApi.CustomRequestResult

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.CustomRequestResult

Enclosing class:
  TdApi

    public static class TdApi.CustomRequestResult
    extends TdApi.Object

Contains the result of a custom request.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `result` A JSON-serialized result.

### Constructor Summary

Constructors
`CustomRequestResult()` Default constructor.
`CustomRequestResult​(java.lang.String result)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### result

    public java.lang.String result

A JSON-serialized result.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CustomRequestResult

    public CustomRequestResult()

Default constructor.

#### CustomRequestResult

    public CustomRequestResult​(java.lang.String result)

Constructor for initialization of all fields.

Parameters:
  `result` - A JSON-serialized result.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR